Skip to main content
GET
/
api
/
users
/
me
/
notification-prefs
Read My Notification Prefs
curl --request GET \
  --url https://api.example.com/api/users/me/notification-prefs \
  --header 'Authorization: Bearer <token>'
{
  "notifyInApp": true,
  "notifyEmail": false,
  "criticalAlerts": true,
  "weeklyReports": false,
  "notifyScanEvents": true,
  "notifyDatasetEvents": true,
  "notifyProjectEvents": true,
  "notifySecurityEvents": true,
  "notifyUserEvents": true,
  "notifyOtherEvents": true,
  "notifyToastAlerts": true,
  "notifyScanSuccess": true,
  "notifyScanFailure": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Response

Successful Response

User-configurable notification settings.

Keys intentionally mirror frontend naming.

notifyInApp
boolean
default:true
notifyEmail
boolean
default:false
criticalAlerts
boolean
default:true
weeklyReports
boolean
default:false
notifyScanEvents
boolean
default:true
notifyDatasetEvents
boolean
default:true
notifyProjectEvents
boolean
default:true
notifySecurityEvents
boolean
default:true
notifyUserEvents
boolean
default:true
notifyOtherEvents
boolean
default:true
notifyToastAlerts
boolean
default:true
notifyScanSuccess
boolean
default:true
notifyScanFailure
boolean
default:true